version: '3'

services:
  gitlab.internal:
    image: nginx:1.17-alpine
    container_name: gitlab.internal
    depends_on:
      - gitlab.local
    volumes:
      - ./omnibus-install-ready/assets/gitlab-proxy.conf:/etc/nginx/conf.d/default.conf
    ports:
      - "80:80"
    networks:
      - external
      - internal

  gitlab.local:
    build: ./omnibus-install-ready/
    container_name: gitlab.local
    networks:
      - internal

networks:
  internal:
    driver: bridge
    internal: true
  external:
    driver: bridge